### Function

# Secret password_clearv_sync

unstable since: 1

#### Declaration [src]

    gboolean
    secret_password_clearv_sync (
      const SecretSchema* schema,
      GHashTable* attributes,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Remove unlocked matching passwords from the secret service.

The `attributes` should be a set of key and value string pairs.

All unlocked items that match the attributes will be deleted.

This method may block indefinitely and should not be used in user interface threads.

Available since: 1

This method is renamed to `secret_password_clear_sync()` in language bindings

#### Parameters

`schema`

  Type: `SecretSchema`

  The schema for the attributes.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`attributes`

  Type: `GHashTable`

  The attribute keys and values.

  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether any passwords were removed.